Topic: MDBAutoComplete in beta 7 not working

Tobias premium asked 1 year ago


Just upgraded to beta 7 to try mdbautocomplete. When I try to import it:

import { MdbAutocompleteModule } from 'mdb-angular-ui-kit/autocomplete';

I get "Cannot find module 'mdb-angular-ui-kit/autocomplete' or its corresponding type declarations."

I know that I'm on beta 7 as I can confirm you have fixed one of the issues that I reported (arrow icons i collapsable/sidenav). I had a similar issue with Stepper when I upgraded to beta 6. Creating a new project worked that time but it was very tedious to migrate all code over so I prefer not to do that again. There must be something I do wrong when I update my project!

I simply do an "npm update mdb-angular-ui-kit"

The package.json:

"mdb-angular-ui-kit": "git+https://oauth2:xxxxxxxxxxxxx@git.mdbootstrap.com/mdb/angular/mdb5/prd/mdb5-angular-ui-kit-pro-essential",

I have deleted node_modules and package-lock.json and re-installed all dependencies but that didn't help.


Tobias premium commented 1 year ago

Looking into node_modules/mdb-angular-kit I can actually not find autocomplete, didn't it get included in beta7?


Arkadiusz Idzikowski staff commented 1 year ago

@Tobias It looks like there was a problem with the package build. It should be fixed now, please reinstall the library and let me know if that helped.


Tobias premium commented 1 year ago

Wiped all dependencies and reinstalled, I can now import the module in app.module. I get an error when trying to use it in my component though:

Export of name 'mdbAutoComplete' not found!

But I will play around with and see if I can get it to work.


Tobias premium commented 1 year ago

Ok, seems like you renamed the tag and at least one of the inputs from v4 ;) It is working now



Please insert min. 20 characters.

FREE CONSULTATION

Hire our experts to build a dedicated project. We'll analyze your business requirements, for free.

Status

Resolved

Specification of the issue

  • User: Premium
  • Premium support: Yes
  • Technology: MDB Angular
  • MDB Version: MDB5 1.0.0-beta5
  • Device: any
  • Browser: any
  • OS: any
  • Provided sample code: No
  • Provided link: Yes